The BOOST_PP_REPEAT_1ST macro represents the first dimension of BOOST_PP_REPEAT.

#### Usage

BOOST_PP_REPEAT_1ST(count, macro, data)

#### Arguments

count
  The number of repetitious calls to macro. Valid values range from 0 to BOOST_PP_LIMIT_REPEAT.
macro
  A ternary operation of the form macro(z, n, data). This macro is expanded by BOOST_PP_REPEAT_1ST with the next available repetition depth, the current repetition number, and the auxiliary data argument.
data
  Auxiliary data passed to macro.

#### Remarks

This macro expands to the sequence:
macro(z, 0, data) macro(z, 1, data) ... macro(z, count - 1, data)
The z value that is passed to macro represents the next available repetition dimension. Other macros that have _Z suffix variants internally use BOOST_PP_REPEAT--for example, BOOST_PP_ENUM_PARAMS and BOOST_PP_ENUM_PARAMS_Z. Using these _Z versions is not strictly necessary, but passing the z value (that is passed to macro) to these macros allows them to reenter BOOST_PP_REPEAT with maximum efficiency.
To directly use this z value, rather than simply passing it to another macro, see BOOST_PP_REPEAT_z.
This macro is deprecated. It only exists for backward compatibility. Use BOOST_PP_REPEAT instead.

#### See Also

- BOOST_PP_LIMIT_REPEAT
- BOOST_PP_REPEAT
- BOOST_PP_REPEAT_z

#### Requirements

Header: <boost/preprocessor/repetition/repeat.hpp>

#### Sample Code

    #include <boost/preprocessor/repetition/repeat.hpp>

    #define DECL(z, n, text) text ## n = n;

    BOOST_PP_REPEAT_1ST(5, DECL, int x)